version: "3"
  services:
    springapp:
      build: .
      container_name: cafeapp
      environment:
        SPRING_DATASOURCE_URL: jdbc:postgresql://db:5430/cafeapp
      ports:
        - 8000:8080
      restart: always
      depends_on:
        - db
    db:
      image: postgres
      container_name: db
      environment:
        - POSTGRES_USER=postgres
        - POSTGRES_PASSWORD=postgres
        - POSTGRES_DB=cafeapp
        - PGDATA=/var/lib/postgresql/data/pgdata
      ports:
        - 5000:5432
      volumes:
        - pgdata:/var/lib/postgresql/data
      restart: always
  volumes:
    pgdata: